# nannou [![Actions Status](https://github.com/nannou-org/nannou/workflows/cpal/badge.svg)](https://github.com/nannou-org/nannou/actions) [![Crates.io](https://img.shields.io/crates/v/nannou.svg)](https://crates.io/crates/nannou) [![Crates.io](https://img.shields.io/crates/l/nannou.svg)](https://github.com/nannou-org/nannou/nannou/blob/master/LICENSE-MIT) [![docs.rs](https://docs.rs/nannou/badge.svg)](https://docs.rs/nannou/)

![sdf](https://i.imgur.com/1ldLFfj.png)

An open-source creative-coding toolkit for Rust.

The `nannou` library allows you to create windows, draw to them, and interact
via events such as mouse movement or keyboard presses. Here you can find
tools for creating graphics, user interfaces and low-level access to the GPU.

|     |     |     |
| --- |:---:| ---:|
| [![1](https://i.imgur.com/4TtL8kP.gif)](https://github.com/nannou-org/nannou/blob/master/examples/generative_design/color/p_1_0_01.rs) | [![2](https://i.imgur.com/ly3Uk3g.gif)](https://github.com/nannou-org/nannou/blob/master/examples/draw/draw_mesh.rs) | [![3](https://i.imgur.com/GP6zlSR.gif)](https://github.com/nannou-org/nannou/blob/master/examples/draw/draw.rs) |
| [![4](https://i.imgur.com/kPn91tW.gif)](https://github.com/nannou-org/nannou/blob/master/examples/draw/draw_polygon.rs) | [![5](https://i.imgur.com/gaiWHZX.gif)](https://github.com/nannou-org/nannou/blob/master/examples/simple_ui.rs) | [![6](https://i.imgur.com/lm4RI4N.gif)](https://github.com/nannou-org/nannou/blob/master/examples/draw/draw_polyline.rs) |

## License

Licensed under either of

 * Apache License, Version 2.0, ([LICENSE-APACHE](LICENSE-APACHE) or http://www.apache.org/licenses/LICENSE-2.0)
 * MIT license ([LICENSE-MIT](LICENSE-MIT) or http://opensource.org/licenses/MIT)

at your option.

**Contributions**

Unless you explicitly state otherwise, any contribution intentionally submitted
for inclusion in the work by you, as defined in the Apache-2.0 license, shall be
dual licensed as above, without any additional terms or conditions.
